Skip to navigation

Encounter Providers V 2 Update Referring Provider

Deprecated

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Path parameters

encounter_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
addressobject or nullOptional
first_namestring or nullOptional
If the provider is an individual, this should be set instead of organization name
last_namestring or nullOptional
If the provider is an individual, this should be set instead of organization name
npistring or nullOptional

A National Provider Identifier is a unique 10-digit identification number issued to health care providers in the United States

organization_namestring or nullOptional

If the provider is an organization, this should be set instead of first + last name

secondary_identificationobject or nullOptional
taxonomy_codestring or nullOptional
qualifierenum or nullOptionalDeprecated
Deprecated. This field will be removed in a future release.
Allowed values:

Response

addressobject
npistring
provider_idstringformat: "uuid"
first_namestring or nullOptional
If the provider is an individual, this should be set instead of organization name
last_namestring or nullOptional
If the provider is an individual, this should be set instead of organization name
organization_namestring or nullOptional

If the provider is an organization, this should be set instead of first + last name

provider_commercial_license_typeenum or nullOptional
837i Loop2010BB G2 Provider Commercial Number
qualifierenum or nullOptional
Allowed values:
secondary_identificationobject or nullOptional

Only one of provider_commercial_license_type or secondary_identification may be provided 837i Loop2010BB G2 Secondary Identification

tax_idstring or nullOptional
taxonomy_codestring or nullOptional

Errors

404
Not Found Error
422
Unprocessable Entity Error